Name:           perl-Test-RequiresInternet
Version:        0.05
Release:        12
Summary:        Test network connection easily
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-RequiresInternet
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MALLEN/Test-RequiresInternet-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-interpreter perl-generators perl(ExtUtils::MakeMaker) perl(Socket) perl(strict)
BuildRequires:  perl(warnings) perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Perl distribution Test-RequiresInternet, providing Perl modules: Test::RequiresInternet.
Easily test network connectivity.

%package help
Summary:        Help documents for perl-Test-RequiresInternet package

%description help
Help documents for perl-Test-RequiresInternet package.

%prep
%autosetup -n Test-RequiresInternet-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%files
%license LICENSE
%{perl_vendorlib}/Test/

%files help
%doc Changes README
%{_mandir}/man3/Test::RequiresInternet.3*

%changelog
* Wed Feb 19 2020 wutao <wutao61@huawei.com> - 0.05-12
- Package init
